#{extends 'borderNG.html' /}

<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'kontrak.paket_tender_ppk'}</a></li>
	<li class="active">&{'kontrak.e_kontrak'}</li>
</ol>
<div class="container">
	<div class="tab-pane active">
		<div class="content tab-content">
			<div class="breadcrumb">&{'kontrak.sppbj_tender_ppk'}</div>
		#{alert /}
			<table id="tblsppbj" class="table table-condensed">
				<thead>
					<tr>
						<th>&{'kontrak.no'}</th>
						<th>&{'kontrak.tanggal'}</th>
						<th>&{'kontrak.penyedia'}</th>
						<th>&{'kontrak.harga_kontrak'}</th>
						<th>&{'kontrak.surat_perjanjian'}</th>
						<th>&{'kontrak.sskk'}</th>
						<th>&{'kontrak.spmk_spp'}</th>
						<th>&{'kontrak.pembayaran'}</th>
						*{<th>&{'kontrak.penilaian'}</th>}*
					</tr>
				</thead>
			</table>
			#{if allowCreateSppbj}
				<a class="btn btn-success" href="@{lelang.KontrakCtr.sppbjPpkDetil(lelang.lls_id)}">&{'kontrak.buat_sppbj'}</a>
			#{/if}
			<a href="@{BerandaCtr.index()}"  class="btn btn-default">  &{'kontrak.btn_kembali'}</a>
		</div>
	</div>
</div>

#{set 'css_custom' }
<link href="#{assets '/bootstrap/css/bootstrap-datatables.min.css'/}" rel="stylesheet" type="text/css">
<link href="#{assets '/bootstrap/css/jquery.fileupload.css'/}" rel="stylesheet" type="text/css">
#{/set}


#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datatables.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.ui.widget.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.iframe-transport.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-process.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-validate.js'/}"></script>
<script type="text/javascript">
var viewSppbj  = #{jsRoute @lelang.KontrakCtr.sppbjPpkDetil(lelang.lls_id, ':id') /};
var viewKontrak  = #{jsRoute @lelang.KontrakCtr.suratPerjanjianPpk(':sppbj_id') /};
var viewPesanan = #{jsRoute @lelang.KontrakCtr.suratPesananPpk(':id') /};
var viewSPMK  = #{jsRoute @lelang.KontrakCtr.spmk(':id') /};
var viewSskk  = #{jsRoute @lelang.KontrakCtr.pilihCaraPembayaran(':id') /};
var viewPembayaran  = #{jsRoute @lelang.KontrakCtr.daftarPembayaran(':id') /};
var penilaian_sikap  = #{jsRoute @lelang.EvaluasiCtr.penilaian_sikap(':id') /};

$("#tblsppbj").dataTable({
	order: [[0, "desc"]],
	ajax: "@{DataTableCtr.ppkSppbj(lelang.lls_id)}",
    columns: [
		{render: function(data, type, row) {
			var id = row[4];
			return '<u><a href="'+viewSppbj.url({id:id})+'"">'+row[0] + '</a></u>';
		}},
		null,
		null,
		{orderable:false},
		{orderable:false,render: function(data, type, row) {
		 	var id = row[4];
			return '<a href="'+viewKontrak.url({sppbj_id:id})+'" class="btn-small btn-default">Kontrak</a>';
		}},
		{orderable:false,render: function(data, type, row) {
			var kontrakId = row[6];
			if(kontrakId == null) {
				return '<a href="javascript:void(0)" disabled="disabled" class="btn-small btn-default">SSKK</a>';
			}
		 	var id = row[4];
			return '<a href="'+viewSskk.url({id:id})+'" class="btn-small btn-default dialog" title="Syarat Syarat Khusus Kontrak (SSKK)">SSKK</a>';
		}},
		{orderable:false,render: function(data, type, row) {
		 	var isBarang = row[5] == '0'
			var kontrakId = row[6];
			if(kontrakId == null) {
				return isBarang ? '<a href="javascript:void(0)" disabled="disabled" class="btn-small btn-default">Surat Pesanan</a>' : '<a href="javascript:void(0)" disabled="disabled" class="btn-small btn-default">SPMK</a>';
			}
		 	var id = row[4];
			return isBarang ? '<a href="'+viewPesanan.url({id:id})+'" class="btn-small btn-default">Surat Perintah Pengiriman</a>' : '<a href="'+viewSPMK.url({id:id})+'" class="btn-small btn-default">SPMK</a>';
		}},
		{orderable:false,render: function(data, type, row) {
		 	var id = row[6];
		 	var kontrak_sskk = row[7];
			if(kontrak_sskk == null) {
				return '<a href="javascript:void(0)" disabled="disabled" class="btn-small btn-default">Pembayaran</a>';
			}

			return '<a href="'+viewPembayaran.url({id:id})+'" class="btn-small btn-default">Pembayaran</a>';
		}}//,
// 		{orderable:false,render: function(data, type, row) {
// 		 	var id = row[4];
// 			return '<a href="'+penilaian_sikap.url({id:id})+'" class="btn-small btn-default">Buat</a>';
// 		}}
	]
}).fnFilterOnReturn();

$(document).on('click', '#fileupload', function(){
    var url = '@{lelang.KontrakCtr.uploadSskkSubmit(lelang.lls_id)}';
    $('#fileupload').fileupload({
        url: url,
        dataType: 'json',
        acceptFileTypes: /(\.|\/)(pdf)$/i,
        done: function (e, data) {
            $('#progress').hide();
            if (data.result.success) {
                $.each(data.result.files, function (index, file) {
                    var content = file.name + ' <a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '"><i class="fa fa-trash-o" ></i></a>';
                    $('<li/>').html(content).appendTo('#files');
                });
                $('#alert-upload').hide();
            } else {
                $('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
            }
        },
        progressall: function (e, data) {
            var progress = parseInt(data.loaded / data.total * 100, 10);
            $('#progress').show();
            $('#progress .progress-bar').css(
                    'width',
                    progress + '%'
            );
        }
    }).on('fileuploadprocessalways', function (e, data) {
        var file = data.files[data.index];
        if (data.files.error && file.error) {
            var msg = file.name+' - '+file.error
            $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
        }
    }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
});

$(document).on('click', '.removeDok', function(){
    var versi = $(this).attr('versi')
    var parent = $(this).parent()
    var source  = #{jsRoute @lelang.KontrakCtr.hapusSskkAttachment(lelang?.lls_id) /};
    $.ajax({
        type: 'POST',
        url: source.url(),
        data : {'versi': versi},
        success : function(){
			$('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.ftbdh'}');
            parent.remove()
        },
        error : function(){
			$('#alert-upload').attr('class', 'alert alert-danger').html('&{'flash.ftdkdbh'}');
        }
    })
});
</script>
#{/set}
